public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/beets/
Date: Mon,  1 Jun 2020 12:28:40 +0000 (UTC)	[thread overview]
Message-ID: <1591014497.c0ead648b4774b4edb6becf3b874caa4ea124464.juippis@gentoo> (raw)

commit:     c0ead648b4774b4edb6becf3b874caa4ea124464
Author:     Guillaume Seren <guillaumeseren <AT> gmail <DOT> com>
AuthorDate: Sat Apr 25 20:41:57 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Jun  1 12:28:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0ead648

media-sound/beets: Add 9999 ebuild

Signed-off-by: Guillaume Seren <guillaumeseren <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/15519
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-sound/beets/beets-9999.ebuild | 176 ++++++++++++++++++++++++++++++++++++
 1 file changed, 176 insertions(+)

diff --git a/media-sound/beets/beets-9999.ebuild b/media-sound/beets/beets-9999.ebuild
new file mode 100644
index 00000000000..d3bc4cc7ad1
--- /dev/null
+++ b/media-sound/beets/beets-9999.ebuild
@@ -0,0 +1,176 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( python{2_7,3_{6,7,8}} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 bash-completion-r1
+
+if [[ ${PV} == "9999" ]]; then
+	EGIT_REPO_URI="https://github.com/beetbox/beets.git"
+	inherit git-r3
+	KEYWORDS="~amd64 ~x86"
+else
+	MY_PV=${PV/_beta/-beta.}
+	MY_P=${PN}-${MY_PV}
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="Media library management system for obsessive-compulsive music geeks"
+HOMEPAGE="http://beets.io/ https://pypi.org/project/beets/"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="badfiles chromaprint discogs doc ffmpeg gstreamer icu lastfm mpd replaygain test thumbnail webserver"
+
+RDEPEND="${DEPEND}"
+DEPEND="
+	$(python_gen_cond_dep '
+		test? (
+			dev-python/wheel[${PYTHON_MULTI_USEDEP}]
+			dev-python/beautifulsoup[${PYTHON_MULTI_USEDEP}]
+			dev-python/flask[${PYTHON_MULTI_USEDEP}]
+			dev-python/mock[${PYTHON_MULTI_USEDEP}]
+			dev-python/rarfile[${PYTHON_MULTI_USEDEP}]
+			dev-python/responses[${PYTHON_MULTI_USEDEP}]
+			dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+			dev-python/requests-oauthlib[${PYTHON_MULTI_USEDEP}]
+		)
+		>=dev-python/jellyfish-0.7.1[${PYTHON_MULTI_USEDEP}]
+		dev-python/munkres[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/python-musicbrainz-ngs-0.4[${PYTHON_MULTI_USEDEP}]
+		dev-python/pyyaml[${PYTHON_MULTI_USEDEP}]
+		dev-python/requests[${PYTHON_MULTI_USEDEP}]
+		dev-python/requests-oauthlib[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/six-1.9[${PYTHON_MULTI_USEDEP}]
+		dev-python/unidecode[${PYTHON_MULTI_USEDEP}]
+		>=media-libs/mutagen-1.33[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/confuse-1.0.0[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/mediafile-0.2.0[${PYTHON_MULTI_USEDEP}]
+		badfiles? (
+			media-libs/flac
+			media-sound/mp3val
+		)
+		chromaprint? (
+			dev-python/pyacoustid[${PYTHON_MULTI_USEDEP}]
+			media-libs/chromaprint[tools]
+		)
+		discogs? ( dev-python/discogs-client[${PYTHON_MULTI_USEDEP}] )
+		ffmpeg? ( media-video/ffmpeg:0[encode] )
+		gstreamer? (
+			media-libs/gst-plugins-good:1.0
+			media-libs/gst-plugins-bad:1.0
+		)
+		icu? ( dev-db/sqlite[icu] )
+		lastfm? ( dev-python/pylast[${PYTHON_MULTI_USEDEP}] )
+		mpd? (
+			dev-python/bluelet[${PYTHON_MULTI_USEDEP}]
+			dev-python/python-mpd[${PYTHON_MULTI_USEDEP}]
+		)
+		replaygain? (
+			gstreamer? (
+				dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+				media-plugins/gst-plugins-libav:1.0
+			)
+			!gstreamer? ( media-sound/mp3gain )
+		)
+		thumbnail? (
+			dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+			|| (
+				dev-python/pillow[${PYTHON_MULTI_USEDEP}]
+				media-gfx/imagemagick
+			)
+		)
+		webserver? (
+			dev-python/flask[${PYTHON_MULTI_USEDEP}]
+			dev-python/flask-cors[${PYTHON_MULTI_USEDEP}]
+		)
+	')"
+BDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/sphinx[${PYTHON_MULTI_USEDEP}]
+	')"
+
+DOCS=( README.rst docs/changelog.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	distutils-r1_python_prepare_all
+
+	rm_use_plugins() {
+		[[ -n "${1}" ]] || die "rm_use_plugins: No use option given"
+		local use=${1}
+		local plugins=${use}
+		use ${use} && return
+		einfo "no ${use}:"
+		[[ $# -gt 1 ]] && plugins="${@:2}"
+		for arg in ${plugins[@]}; do
+			einfo "  removing ${arg}"
+			if [[ -e "beetsplug/${arg}.py" ]]; then
+				rm beetsplug/${arg}.py || die "Unable to remove ${arg} plugin"
+			fi
+			if [[ -d "beetsplug/${arg}" ]]; then
+				rm -r beetsplug/${arg} || die "Unable to remove ${arg} plugin"
+			fi
+			sed -e "s:'beetsplug.${arg}',::" -i setup.py || \
+				die "Unable to disable ${arg} plugin "
+		done
+	}
+
+	rm_use_plugins chromaprint chroma
+	rm_use_plugins ffmpeg convert
+	rm_use_plugins icu loadext
+	rm_use_plugins lastfm lastgenre lastimport
+	rm_use_plugins mpd bpd mpdstats
+	rm_use_plugins webserver web
+	rm_use_plugins thumbnail thumbnails
+
+	# remove plugins that do not have appropriate dependencies installed
+	for flag in badfiles discogs replaygain; do
+		rm_use_plugins ${flag}
+	done
+
+	if ! use mpd; then
+		rm test/test_player.py || die
+		rm test/test_mpdstats.py || die
+	fi
+	if ! use webserver; then
+		rm test/test_web.py || die "Failed to remove test_web.py"
+	fi
+	if use test; then
+		# Those test need network
+		rm test/test_art.py || die
+		rm test/test_discogs.py || die
+		rm test/test_embyupdate.py || die
+		rm test/test_lastgenre.py || die
+		rm test/test_spotify.py || die
+		# rm test/test_plexupdate.py
+		rm test/test_thumbnails.py || die
+		# Not working
+		rm test/test_replaygain.py || die
+		# Not working
+		rm test/test_convert.py || die
+	fi
+}
+
+python_compile_all() {
+	esetup.py build_sphinx -b man --build-dir=docs/build
+	use doc && esetup.py build_sphinx -b html --build-dir=docs/build
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	doman docs/build/man/*
+	use doc && local HTML_DOCS=( docs/build/html/. )
+	einstalldocs
+
+	"${D}$(python_get_scriptdir)/beet" completion > "${T}/beet.bashcomp"
+	newbashcomp "${T}/beet.bashcomp" beet
+}


             reply	other threads:[~2020-06-01 12:28 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-01 12:28 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-11  9:04 [gentoo-commits] repo/gentoo:master commit in: media-sound/beets/ Ionen Wolkens
2024-12-19  7:54 Arsen Arsenović
2024-12-19  7:54 Arsen Arsenović
2024-06-13  9:26 Matt Jolly
2024-06-03  5:06 Matt Jolly
2024-06-03  5:06 Matt Jolly
2024-05-28 22:01 Sam James
2024-05-23  7:51 Matt Jolly
2024-05-22 13:19 Matt Jolly
2024-05-08 21:33 Sam James
2023-07-14 12:09 Sam James
2023-05-20  6:22 Michał Górny
2023-05-01  0:34 Sam James
2023-05-01  0:19 Sam James
2023-02-22 16:02 Sam James
2023-02-22 16:02 Sam James
2023-02-22 16:00 Sam James
2023-02-22 16:00 Sam James
2022-06-22 13:22 Agostino Sarubbo
2022-06-21  6:40 Sam James
2022-06-21  5:35 Sam James
2022-06-07 21:09 Sam James
2022-02-13 22:59 Jakov Smolić
2021-10-31 18:29 Sam James
2021-10-31  8:46 Sam James
2021-10-31  2:58 Sam James
2021-06-01  0:28 Sam James
2021-05-14 11:21 Sam James
2021-01-26 11:37 Joonas Niilola
2021-01-26 11:37 Joonas Niilola
2021-01-26 11:37 Joonas Niilola
2021-01-24  8:09 Joonas Niilola
2021-01-24  8:09 Joonas Niilola
2021-01-18 12:27 Joonas Niilola
2021-01-18 12:27 Joonas Niilola
2021-01-18 12:27 Joonas Niilola
2020-06-01 13:10 Joonas Niilola
2020-06-01 13:07 Joonas Niilola
2020-06-01 13:07 Joonas Niilola
2020-06-01 12:28 Joonas Niilola
2020-06-01 12:28 Joonas Niilola
2020-06-01 12:28 Joonas Niilola
2020-03-16 18:55 Michał Górny
2019-08-30 11:46 Joonas Niilola
2019-08-30 11:46 Joonas Niilola
2019-06-01 14:26 Andreas Sturmlechner
2019-05-19 17:54 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-03-18 12:42 Pacho Ramos
2018-03-18 12:42 Pacho Ramos
2017-02-20  0:36 Robin H. Johnson
2016-08-10 20:18 Michael Palimaka
2016-08-10 20:18 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591014497.c0ead648b4774b4edb6becf3b874caa4ea124464.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox